Bug 107614 - Internal compiler error: Error reporting routines re-entered. (Example code provided)
Internal compiler error: Error reporting routines re-entered. (Example code p...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-21 05:25 EDT by Evan Clarke
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 01:49:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evan Clarke 2003-10-21 05:25:42 EDT
Description of problem:
Compiling the following code:
#include <vector>
#include <iostream>
 
using namespace std;
 
int main ()
{
        char ch;
        cin >> ch;
        switch (ch)
        {
                case 'B':
                        vector<char> d;
                        break;
                case 'C':
                        break;
        }
 
        return c;
}

with the command:
g++ test.cc -o tester

Producing the following output:
test.cc: In function `int main()':
test.cc:15: jump to case label
test.cc:13:   crosses initialization of `std::vector<char, std::allocator<char>
   > d'
test.cc:19: `c' undeclared (first use this function)
test.cc:19: (Each undeclared identifier is reported only once for each function
   it appears in.)
 
Internal compiler error: Error reporting routines re-entered.
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Version-Release number of selected component (if applicable):
uname -a
Linux localhost.localdomain 2.4.20-20.9 #1 Mon Aug 18 11:27:43 EDT 2003 i686
athlon i386 GNU/Linux
rpm -q gcc
gcc-3.2.2-5

How reproducible:
Every time.
Comment 1 Richard Henderson 2004-10-04 01:49:15 EDT
Fixed in gcc-3.3.2-1.

Note You need to log in before you can comment on or make changes to this bug.